jif.extension

## Class JifLocalDeclDel

- java.lang.Object
- - polyglot.ast.JLDel_c
  - - jif.extension.JifDel_c
    - - jif.extension.JifLocalDeclDel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JifDel, polyglot.ast.JLDel, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.JLDel>

      public class JifLocalDeclDel
      extends JifDel_c

  The delegate of the `JifMethodDecl` node.
  See Also:
    `JifMethodDecl`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class jif.extension.JifDel_c

      `fatalExceptions`

    - ### Fields inherited from class polyglot.ast.JLDel_c

      `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifLocalDeclDel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Node` | `buildTypes(polyglot.visit.TypeBuilder tb)`
    `polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)`
    `polyglot.ast.Node` | `typeCheck(polyglot.visit.TypeChecker tc)`
    `polyglot.visit.NodeVisitor` | `typeCheckEnter(polyglot.visit.TypeChecker tc)`

    - ### Methods inherited from class jif.extension.JifDel_c

      `fatalExceptions, setFatalExceptions, throwTypes, translate`

    - ### Methods inherited from class polyglot.ast.JLDel_c

      `addDecls, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, init, jl, lang, node, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JifLocalDeclDel

          public JifLocalDeclDel()

  - ### Method Detail

    - #### buildTypes

          public polyglot.ast.Node buildTypes(polyglot.visit.TypeBuilder tb)
                                       throws polyglot.types.SemanticException

      Specified by:
        `buildTypes` in interface `polyglot.ast.NodeOps`
      Overrides:
        `buildTypes` in class `JifDel_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### disambiguate

          public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                         throws polyglot.types.SemanticException

      Specified by:
        `disambiguate` in interface `polyglot.ast.NodeOps`
      Overrides:
        `disambiguate` in class `polyglot.ast.JLDel_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### typeCheckEnter

          public polyglot.visit.NodeVisitor typeCheckEnter(polyglot.visit.TypeChecker tc)
                                                    throws polyglot.types.SemanticException

      Specified by:
        `typeCheckEnter` in interface `polyglot.ast.NodeOps`
      Overrides:
        `typeCheckEnter` in class `polyglot.ast.JLDel_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### typeCheck

          public polyglot.ast.Node typeCheck(polyglot.visit.TypeChecker tc)
                                      throws polyglot.types.SemanticException

      Specified by:
        `typeCheck` in interface `polyglot.ast.NodeOps`
      Overrides:
        `typeCheck` in class `polyglot.ast.JLDel_c`
      Throws:
        `polyglot.types.SemanticException`
      See Also:
        `JLDel_c.typeCheck(polyglot.visit.TypeChecker)`